Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 922992 - media-sound/jack-4.0.0_pre20201220-r1 installs deprecated .egg/.egg-info
Summary: media-sound/jack-4.0.0_pre20201220-r1 installs deprecated .egg/.egg-info
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Martin Dummer
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-27 06:47 UTC by Agostino Sarubbo
Modified: 2024-06-01 12:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,66.72 KB, text/plain)
2024-01-27 06:48 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-27 06:47:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: media-sound/jack-4.0.0_pre20201220-r1 installs deprecated .egg/.egg-info.
Discovered on: amd64 (internal ref: gcc14_tinderbox)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0076
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-27 06:48:00 UTC
Created attachment 883212 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-01 12:24:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2f04b2ece0b32fd9f18f36c114380624c0986ae

commit e2f04b2ece0b32fd9f18f36c114380624c0986ae
Author:     Martin Dummer <martin.dummer@gmx.net>
AuthorDate: 2024-05-31 21:31:50 +0000
Commit:     Florian Schmaus <flow@gentoo.org>
CommitDate: 2024-06-01 12:23:55 +0000

    media-sound/jack: version bump, migrated to PEP517 build
    
    - new version
    - migrated to PEP517 build
    - change python compat
    
    Closes: https://bugs.gentoo.org/909992
    Closes: https://bugs.gentoo.org/922992
    Closes: https://bugs.gentoo.org/929659
    Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
    Signed-off-by: Florian Schmaus <flow@gentoo.org>

 media-sound/jack/Manifest                    |  3 ++
 media-sound/jack/jack-4.1_pre20230723.ebuild | 66 ++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)